Skip to main content
GET
/
checkout
List checkout sessions with filtering and pagination
curl --request GET \
  --url https://api.zenskar.com/checkout \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "checkout_session_status": "open",
      "payment_status": "not_started",
      "created_at": "2023-01-01T00:00:00",
      "last_activity_at": "2023-01-01T12:34:56",
      "customer_id": "123e4567-e89b-12d3-a456-426614174001",
      "guest_checkout": false,
      "currency": "USD"
    },
    {
      "id": "123e4567-e89b-12d3-a456-426614174002",
      "checkout_session_status": "completed",
      "payment_status": "paid",
      "created_at": "2023-01-02T00:00:00",
      "last_activity_at": "2023-01-02T12:34:56",
      "confirmed_at": "2023-01-02T12:34:56",
      "paid_at": "2023-01-02T12:34:56",
      "customer_id": "123e4567-e89b-12d3-a456-426614174001",
      "guest_checkout": false,
      "currency": "USD"
    }
  ],
  "next": "cursor_to_next_page",
  "total": 25
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null
default:20

Number of results to return per page (max 100)

Required range: 1 <= x <= 100
order
string | null
default:-created_at

Field to order results by (prefix with - for descending order)

id
string<uuid> | null
id__in
string | null
organisation_id
string<uuid> | null
organisation_id__in
string | null
contract_id
string<uuid> | null
contract_id__in
string | null
contract_id__isnull
boolean | null
checkout_session_status
enum<string> | null
Available options:
open,
processing,
completed,
closed,
cancelled
checkout_session_status__in
string | null
payment_status
enum<string> | null
Available options:
not_started,
pending,
paid,
failed,
no_payment_required
payment_status__in
string | null
customer_id
string<uuid> | null
customer_id__in
string | null
customer_id__isnull
boolean | null
business_entity_id
string<uuid> | null
business_entity_id__in
string | null
guest_checkout
boolean | null
payment_intent_id
string | null
payment_intent_id__isnull
boolean | null
execution_id
string<uuid> | null
execution_id__in
string | null
execution_id__isnull
boolean | null
currency
string | null
currency__in
string | null
amount_due__gt
number | null
amount_due__gte
number | null
amount_due__lt
number | null
amount_due__lte
number | null
confirmed_at
string<date-time> | null
confirmed_at__gt
string<date-time> | null
confirmed_at__gte
string<date-time> | null
confirmed_at__lt
string<date-time> | null
confirmed_at__lte
string<date-time> | null
confirmed_at__isnull
boolean | null
paid_at
string<date-time> | null
paid_at__gt
string<date-time> | null
paid_at__gte
string<date-time> | null
paid_at__lt
string<date-time> | null
paid_at__lte
string<date-time> | null
paid_at__isnull
boolean | null
expires_at
string<date-time> | null
expires_at__gt
string<date-time> | null
expires_at__gte
string<date-time> | null
expires_at__lt
string<date-time> | null
expires_at__lte
string<date-time> | null
expires_at__isnull
boolean | null
last_activity_at
string<date-time> | null
last_activity_at__gt
string<date-time> | null
last_activity_at__gte
string<date-time> | null
last_activity_at__lt
string<date-time> | null
last_activity_at__lte
string<date-time> | null
created_at
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
updated_at
string<date-time> | null
updated_at__gt
string<date-time> | null
updated_at__gte
string<date-time> | null
updated_at__lt
string<date-time> | null
updated_at__lte
string<date-time> | null
deleted_at
string<date-time> | null
deleted_at__gt
string<date-time> | null
deleted_at__gte
string<date-time> | null
deleted_at__lt
string<date-time> | null
deleted_at__lte
string<date-time> | null
deleted_at__isnull
boolean | null
idempotency_key
string | null
correlation_id
string | null

Response

Successfully retrieved checkout sessions

results
CheckoutSessionResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows